nvti_tests.c File Reference
`#include "nvti.c"`
`#include <cgreen/cgreen.h>`
`#include <cgreen/mocks.h>`

## Functions

| Describe (nvti)
| BeforeEach (nvti)
| AfterEach (nvti)
| Ensure (nvti, nvti_new_never_returns_null)
| Ensure (nvti, nvti_parse_timestamp)
| Ensure (nvti, nvti_set_solution_method_correct)
| Ensure (nvti, nvti_get_tag_gets_correct_value_one_tag)
| Ensure (nvti, nvti_get_tag_gets_correct_value_many_tags)
| Ensure (nvti, nvti_get_tag_handles_empty_tag)
| Ensure (nvti, nvti_get_tag_handles_null_nvti)
| Ensure (nvti, nvti_get_tag_handles_null_name)
| Ensure (nvti, nvtis_add_does_not_use_oid_as_key)
| Ensure (nvti, nvti_get_severity_vector_both)
| Ensure (nvti, nvti_get_severity_vector_no_cvss_base)
| Ensure (nvti, nvti_get_severity_vector_no_severity_vector)
int | main (int argc, char **argv)

## Function Documentation

## AfterEach()

AfterEach | ( | nvti |  | ) |

## BeforeEach()

BeforeEach | ( | nvti |  | ) |

## Describe()

Describe | ( | nvti |  | ) |

## Ensure() [1/12]

Ensure | ( | nvti | ,
|  | nvti_get_severity_vector_both |
| ) |  |

## Ensure() [2/12]

Ensure | ( | nvti | ,
|  | nvti_get_severity_vector_no_cvss_base |
| ) |  |

## Ensure() [3/12]

Ensure | ( | nvti | ,
|  | nvti_get_severity_vector_no_severity_vector |
| ) |  |

## Ensure() [4/12]

Ensure | ( | nvti | ,
|  | nvti_get_tag_gets_correct_value_many_tags |
| ) |  |

## Ensure() [5/12]

Ensure | ( | nvti | ,
|  | nvti_get_tag_gets_correct_value_one_tag |
| ) |  |

## Ensure() [6/12]

Ensure | ( | nvti | ,
|  | nvti_get_tag_handles_empty_tag |
| ) |  |

## Ensure() [7/12]

Ensure | ( | nvti | ,
|  | nvti_get_tag_handles_null_name |
| ) |  |

## Ensure() [8/12]

Ensure | ( | nvti | ,
|  | nvti_get_tag_handles_null_nvti |
| ) |  |

## Ensure() [9/12]

Ensure | ( | nvti | ,
|  | nvti_new_never_returns_null |
| ) |  |

## Ensure() [10/12]

Ensure | ( | nvti | ,
|  | nvti_parse_timestamp |
| ) |  |

## Ensure() [11/12]

Ensure | ( | nvti | ,
|  | nvti_set_solution_method_correct |
| ) |  |

## Ensure() [12/12]

Ensure | ( | nvti | ,
|  | nvtis_add_does_not_use_oid_as_key |
| ) |  |

## main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |